#!/bin/sh

DIR=/usr/local/ports+
cd $DIR || exit 1

if [ "$#" = "1" -a "$1" = "test" ]; then
	gmake test
	exit 0
elif [ "$1" = "-make-config" ]; then
	shift

	cmd='make config-conditional'
elif [ "$1" = "-make-config-recursive" ]; then
	shift
	cmd='make config-recursive'
else
	gmake $@
	exit $?
fi


gmake lkup.awk index.list 2>&1 > /dev/null
for opt in `echo $@ | gawk -F\| -f lkup.awk -f lib.awk -vindex_list=index.list`
do
	cd /usr/ports/$opt && $cmd
done


# ready to run.

cd $DIR
gmake $@
